//file-input.cpp
#include <iostream>
#include <string>
#include <fstream>
using namespace std;

int main() {
    string line;
    string in_name = "in.txt";
    ifstream in_file_stream;

    //try to open
    in_file_stream.open(in_name.c_str(), ios::in);
    if (!in_file_stream){
        cout << "Error concerning file: "
        << in_name << endl;
        exit(1);    
    }
    cout << "File contains:" << endl;
    while (getline(in_file_stream, line) ) {
        cout << line << endl;
    }
    in_file_stream.close();

    //or alternatively:  --------------------
    in_file_stream.open(in_name.c_str(), ios::in);
    
    bool more = getline(in_file_stream, line);
    while (more) {
        cout << line << endl;
        more = getline(in_file_stream, line);
    }
    in_file_stream.close();
    //----------------------------------------

    return 0;
}